OutputHandler (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Interface OutputHandler

All Known Implementing Classes:
  AuditHandler, HandlerBase, TextHandler, ViewHandler, XmlHandler

    public interface OutputHandler

Public interface for Jhove output handlers. All output handlers must implement OutputHandler, and in normal cases should subclass HandlerBase.

Method Summary
`void` | `analyze(RepInfo info)` Callback allowing post-parse, pre-show analysis of object representation information.
`void` | `applyDefaultParams()` Applies the default parameters.
`void` | `close()` Do appropriate finalization after all output is complete.
`void` | `endDirectory()` Callback indicating a directory is finished being processed.
`java.util.Date` | `getDate()` Returns the last modification date of this handler
`java.lang.String` | `getEncoding()` Returns this handler's encoding.
`java.lang.String` | `getName()` Returns the name of this handler
`java.lang.String` | `getNote()` Returns this handler's note
`java.lang.String` | `getRelease()` Returns release information for this handler
`java.lang.String` | `getRights()` Returns this handler's copyright information
`java.util.List<Document>` | `getSpecification()` Returns a List of Document objects giving the format specification documentation
`Agent` | `getVendor()` Returns a List of Agent objects giving the vendor(s) of this handler.
`void` | `init(java.lang.String init)` Per-instantiation initialization.
`boolean` | `okToProcess(java.lang.String filepath)` Callback to give the handler the opportunity to decide whether or not to process a file.
`void` | `param(java.lang.String param)` Per-action initialization.
`void` | `reset()` Reset the handler.
`void` | `resetParams()` Reset parameter settings.
`void` | `setApp(App app)` Assigns an application object to provide services to this handler
`void` | `setBase(JhoveBase je)` Assigns the JHOVE engine object to provide services to this handler
`void` | `setDefaultParams(java.util.List<java.lang.String> params)` Sets list of default parameters.
`void` | `setEncoding(java.lang.String encoding)` Assigns the encoding to be used by this OutputHandler
`void` | `setWriter(java.io.PrintWriter output)` Assigns a PrintWriter to do output for this OutputHandler
`void` | `show()` Outputs minimal information about the application
`void` | `show(App app)` Outputs detailed information about the application, including configuration, available modules and handlers, etc.
`void` | `show(Module module)` Outputs information about a Module
`void` | `show(OutputHandler handler)` Outputs information about the OutputHandler specified in the parameter
`void` | `show(RepInfo info)` Outputs the information contained in a RepInfo object
`void` | `showFooter()` Do the final output.
`void` | `showHeader()` Do the initial output.
`void` | `startDirectory(java.lang.String directory)` Callback indicating a new directory is being processed.

Method Detail

### reset

    void reset()

  Reset the handler. This needs to be called before each invocation.

### analyze

    void analyze(RepInfo info)

  Callback allowing post-parse, pre-show analysis of object representation information.

  Parameters:
    `info` - Object representation information

### endDirectory

    void endDirectory()

  Callback indicating a directory is finished being processed. Most handlers will do nothing.

### getName

    java.lang.String getName()

  Returns the name of this handler

### getRelease

    java.lang.String getRelease()

  Returns release information for this handler

### getDate

    java.util.Date getDate()

  Returns the last modification date of this handler

### getSpecification

    java.util.List<Document> getSpecification()

  Returns a List of Document objects giving the format specification documentation

  See Also:
    `Document`

### getVendor

    Agent getVendor()

  Returns a List of Agent objects giving the vendor(s) of this handler.

### getNote

    java.lang.String getNote()

  Returns this handler's note

### getRights

    java.lang.String getRights()

  Returns this handler's copyright information

### getEncoding

    java.lang.String getEncoding()

  Returns this handler's encoding.

### init

    void init(java.lang.String init)
              throws java.lang.Exception

  Per-instantiation initialization.

  Parameters:
    `init` - Initialization parameter. This is typically obtained from the configuration file.
  Throws:
    `java.lang.Exception`

### okToProcess

    boolean okToProcess(java.lang.String filepath)

  Callback to give the handler the opportunity to decide whether or not to process a file. Most handlers will always return true.

  Parameters:
    `filepath` - File pathname

### setDefaultParams

    void setDefaultParams(java.util.List<java.lang.String> params)

  Sets list of default parameters.

  Parameters:
    `params` - A List whose elements are Strings. May be empty.

### applyDefaultParams

    void applyDefaultParams()
                            throws java.lang.Exception

  Applies the default parameters.

  Throws:
    `java.lang.Exception`

### resetParams

    void resetParams()
                     throws java.lang.Exception

  Reset parameter settings. Returns to a default state without any parameters.

  Throws:
    `java.lang.Exception`

### param

    void param(java.lang.String param)
               throws java.lang.Exception

  Per-action initialization.

  Parameters:
    `param` - Initialization parameter.
  Throws:
    `java.lang.Exception`

### setApp

    void setApp(App app)

  Assigns an application object to provide services to this handler

### setBase

    void setBase(JhoveBase je)

  Assigns the JHOVE engine object to provide services to this handler

### setEncoding

    void setEncoding(java.lang.String encoding)

  Assigns the encoding to be used by this OutputHandler

### setWriter

    void setWriter(java.io.PrintWriter output)

  Assigns a PrintWriter to do output for this OutputHandler

### show

    void show(Module module)

  Outputs information about a Module

### show

    void show(RepInfo info)

  Outputs the information contained in a RepInfo object

### show

    void show(OutputHandler handler)

  Outputs information about the OutputHandler specified in the parameter

### show

    void show()

  Outputs minimal information about the application

### show

    void show(App app)

  Outputs detailed information about the application, including configuration, available modules and handlers, etc.

### showHeader

    void showHeader()

  Do the initial output. This should be in a suitable format for including multiple files between the header and the footer.

### showFooter

    void showFooter()

  Do the final output. This should be in a suitable format for including multiple files between the header and the footer.

### close

    void close()

  Do appropriate finalization after all output is complete.

### startDirectory

    void startDirectory(java.lang.String directory)

  Callback indicating a new directory is being processed. Most handlers will do nothing.

  Parameters:
    `directory` - Directory path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD